diff options
-rw-r--r-- | .x-sc_prohibit_fail_0 | 3 | ||||
-rw-r--r-- | Makefile.am | 1 | ||||
-rw-r--r-- | cfg.mk | 12 |
3 files changed, 8 insertions, 8 deletions
diff --git a/.x-sc_prohibit_fail_0 b/.x-sc_prohibit_fail_0 new file mode 100644 index 000000000..7fa41fd6b --- /dev/null +++ b/.x-sc_prohibit_fail_0 @@ -0,0 +1,3 @@ +\.mk$ +/Makefile\.am$ +^tests/test-lib\.sh$ diff --git a/Makefile.am b/Makefile.am index 62efb7df0..634ae0fc5 100644 --- a/Makefile.am +++ b/Makefile.am @@ -47,6 +47,7 @@ syntax_check_exceptions = \ .x-sc_po_check \ .x-sc_program_name \ .x-sc_prohibit_atoi_atof \ + .x-sc_prohibit_fail_0 \ .x-sc_prohibit_magic_number_exit \ .x-sc_prohibit_stat_st_blocks \ .x-sc_prohibit_strcmp \ @@ -232,13 +232,9 @@ sc_prohibit_emacs__indent_tabs_mode__setting: # Ensure that each file that contains fail=1 also contains fail=0. # Otherwise, setting file=1 in the environment would make tests fail unexpectedly. -sc_fail_is_initialized: - @files=$$(grep -l -E '\<fail=1$$' $$($(VC_LIST_EXCEPT))); \ - if test "$$?" = 0; then \ - grep -LE '\<fail=0$$' $$files | grep . && \ - { echo '$(ME): the above files do not set fail=0' \ - 1>&2; exit 1; } || :; \ - else :; \ - fi +sc_prohibit_fail_0: + @re='\<fail=0\>' \ + msg='fail=0 initialization' \ + $(_prohibit_regexp) include $(srcdir)/dist-check.mk |